=== tools/debian/control ===
Source: python-pyqtgraph
Maintainer: Luke Campagnola <luke.campagnola@gmail.com>
Section: python
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8)

Package: python-pyqtgraph
Architecture: all
Homepage: http://luke.campagnola.me/code/pyqtgraph
Depends: python (>= 2.6), python-support (>= 0.90), python-qt4 | python-pyside, python-scipy, python-numpy, ${misc:Depends}
Suggests: python-opengl, python-qt4-gl
Description: Scientific Graphics and GUI Library for Python
 PyQtGraph is a pure-python graphics and GUI library built on PyQt4 and numpy. 
 It is intended for use in mathematics / scientific / engineering applications. 
 Despite being written entirely in python, the library is very fast due to its 
 heavy leverage of numpy for number crunching and Qt's GraphicsView framework 
 for fast display.
